## uhd 4.4.0.0+ds1

=== debian/changelog ===
uhd (4.4.0.0+ds1-4) unstable; urgency=medium

  * Ensure build using --no-arch-any

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 16 Jul 2023 14:22:15 -0400

uhd (4.4.0.0+ds1-3) unstable; urgency=medium

  * simplify debian/rules, clean up dpdk dependencies

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 16 Jul 2023 08:29:56 -0400

uhd (4.4.0.0+ds1-2) unstable; urgency=medium

  * Upload to unstable
  * Build using GCC-13 (Closes: #1037877)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 13 Jul 2023 22:41:36 -0400

uhd (4.4.0.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * upload to experimental for soversion bump
  * use xelatex and amsmath to cope with box-drawing unicode and pmatrix

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 10 Jul 2023 19:04:42 -0400

uhd (4.4.0.0-0ubuntu1) ubuntu_release; urgency=low

  * Features
    - Raw UDP Traffic to Remote Destination for RFNoC-enabled devices
  * C API
    - Fix double-free issue with sensor values
  * ci
    - Add clang-format 14.0 to the Ubuntu 22.04 container
    - devtest: Test E320 1G FPGA Image
    - Filter uhd_find_devices checks by device type
    - increase timeout for x4xx hardware test job
    - Pull UHD version from UHDConfigVersion.cmake
    - Replace Rhombus E320
    - Update docker repo location
  * cmake
    - fix UHDAtomics.cmake to read custom Boost install prefix
    - Fix build with GCC 13 (add missing <cstdint> include)
  * devtest
    - Add multi-spc timed command tests
  * docs
    - Fix typo in Python API dox file
    - Phase noise consideration when using external clock with E320
    - rfnoc: Fix Doxygen warnings on chdr_packet::set_metadata()
    - Update manual for X3x0 raw UDP streaming
  * e320
    - Allow internal GPSDO to be powered-down via UHD session args
  * e3xx
    - add support for power calibration api
  * examples
    - remote_rx: Add --mac-address argument
    - rx_samples_to_file: Add disk write speed check
    - rx_samples_to_file: Add multichannel option
    - Upgrade RFNoC example to Vivado 2021.1
  * fpga
    - ci: Create local copy of patches to use
    - Cosmetic changes to rx_frontend_gen3_tb
    - docs: Fix AR76780 dependency
    - e320 Change MIG arbitration to RD_PRI_REG
    - Fix overflows in DDC
    - Fix overflows in quarterrate downconverter
    - Fix warnings in dds_freq_tune module
    - lib: Add align_samples module
    - lib: Add verilog-compatible wrapper for eth_ipv4_chdr_adapter
    - lib: Add ZPU support to SV transport adapter
    - lib: Fix indentation in setting_reg.v
    - lib: Fix inferred latch in ep_autonegotiation
    - lib: Support time and data updates in sim_radio_gen
    - lib: Update header for AXI4S add/remove bytes
    - Require AR76780 for X3xx and E3xx
    - Restore FIR filter in rx_frontend_gen3
    - rfnoc: Add align_samples testbench
    - rfnoc: Add timed sample alignment to radio
    - rfnoc: Fix inferred latch in chdr_strip_header
    - sim: Fix typo in clk_wait_f
    - tools: Detect check_timing issues during build
    - tools: Fix error detection in run_testbenches.py
    - x300: Bump FPGA compat to 39.1
    - x300: Change MIG arbitration to RD_PRI_REG
    - x300: Support advanced transport adapter
  * host
    - ADC cal: Add ability to set calibration mode explicitly
    - cal: Rearrange ADC self calibration routine
  * images
    - Update manifest - timed sample alignment in RFNoC
  * lib
    - Fix warning in ctrlport_endpoint.cpp
    - topo graph: Fix rule-of-3 related compiler warnings
  * mpm
    - Add a lock to the rpc server timer
    - Better error message for multiple assigned MACs
    - Fix rpc process shared state and port argument positions
    - Move parse_encoded_git_hash() to mpmutils
    - rfdc: Add X4xx 125e6 master clock rate
    - rpc server: Capture claim token value before releasing state lock
    - x4xx: Remove references to white rabbit
  * n3xx
    - Increase tune timeout
  * octoclock
    - Fix type of eeprom object in property_tree
  * rfnoc
    - Add logging to some throw statements
    - lsm: Improve logging/error messages
    - Move detection of TAs post-LSM-init
    - streamers: Fix scaling factor
  * tests
    - add ramdisk cfg option to streaming setup
    - add support for 10-100GB x410 raw udp
    - add x310 raw udp tests
  * uhd
    - Fix RfnocGraph pybind binding for get_tree
    - python: Bind {separate,combine}_device_addr{s}
    - python: Make DeviceAddr behave like dict
    - When separating device_addr_t, keep indexed values
    - Add xport_adapter_ctrl core
  * x300
    - Enable use of advanced transport adapters
    - Respect X300_FW_COMMS_FLAGS_ARP_FAIL flag
    - Update firmware for TA control

 -- Ettus Research <packages@ettus.com>  Fri, 27 Jan 2023 01:16:40 -0800

=== debian/control ===
Source: uhd
Section: science
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               libboost-date-time-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-python-dev,
               libboost-regex-dev,
               libboost-serialization-dev,
               libboost-system-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libdpdk-dev (>=20) [amd64 arm64 ppc64el],
               libgps-dev,
               libncurses-dev,
               liborc-0.4-dev,
               libudev-dev [linux-any],
               libusb-1.0-0-dev [linux-any hurd-i386],
               libusb2-dev [kfreebsd-any],
               ninja-build,
               python3-dev,
               python3-mako,
               python3-numpy,
               python3-requests,
               python3-setuptools
Build-Depends-Indep: doxygen,
              	     doxygen-latex,
               	     graphviz [!powerpcspe],
		     texlive-xetex
Standards-Version: 4.6.2
Homepage: https://www.ettus.com/sdr-software/uhd-usrp-hardware-driver/
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-uhd
Vcs-Git: https://salsa.debian.org/bottoms/pkg-uhd.git

Package: uhd-host
Architecture: any
Depends: libuhd4.4.0 (= ${binary:Version}),
         python3-requests,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: curl, procps
Suggests: fdisk, gnuradio
Description: universal hardware driver for Ettus Research products - host apps
 Host utilities for the Universal Hardware Driver for Ettus Research products.
 .
 The supported devices provide analog radio receiver and transmitter hardware
 along with digital interfaces for getting signals to and from a software
 defined radio running on the host computer.
 .
 This package includes the uhd_find_devices application to locate and
 configure attached peripherals, the uhd_usrp_probe application to
 display hardware configuration information and Doxygen generated
 documentation.

Package: libuhd4.4.0
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: uhd-host
Multi-Arch: same
Description: universal hardware driver for Ettus Research products - library
 Host library for the Universal Hardware Driver for Ettus Research products.
 .
 The supported devices provide analog radio receiver and transmitter hardware
 along with digital interfaces for getting signals to and from a software
 defined radio running on the host computer.

Package: libuhd4.4.0-dpdk
Architecture: amd64 arm64 ppc64el
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: uhd-host
Conflicts: libuhd4.4.0
Provides: libuhd4.4.0
Multi-Arch: same
Description: universal hardware driver for Ettus Research products - DPDK
 Host library for the Universal Hardware Driver for Ettus Research products.
 .
 The supported devices provide analog radio receiver and transmitter hardware
 along with digital interfaces for getting signals to and from a software
 defined radio running on the host computer.
 .
 This package is built with the Data Plane Development Kit and has additional
 dependencies and system configuration requirements to use those features.

Package: libuhd4.4.0-dpdk-tests
Architecture: amd64 arm64 ppc64el
Depends: libuhd4.4.0-dpdk (= ${binary:Version}),
         ${misc:Depends}, ${shlibs:Depends}
Description: universal hardware driver for Ettus Research products - DPDK tests
 Network tests for the Universal Hardware Driver for Ettus Research products.
 .
 This package is built with the Data Plane Development Kit and has additional
 dependencies and system configuration requirements to use those features.

Package: libuhd-dev
Architecture: any
Section: libdevel
Depends: libuhd4.4.0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: gnuradio-dev
Suggests: uhd-doc
Multi-Arch: same
Description: universal hardware driver for Ettus Research products - headers
 Host library for the Universal Hardware Driver for Ettus Research products.
 .
 The supported devices provide analog radio receiver and transmitter hardware
 along with digital interfaces for getting signals to and from a software
 defined radio running on the host computer.
 .
 This package contains the header files for developing with libuhd.
 Doxygen generated documentation is in the uhd-host package.

Package: python3-uhd
Architecture: any
Section: python
Depends: libuhd4.4.0 (= ${binary:Version}),
         python3-ruamel.yaml,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: gnuradio
Breaks: uhd-host (<< 4.4.0.0)
Description: universal hardware driver for Ettus Research products - Python3
 Host library for the Universal Hardware Driver for Ettus Research products.
 .
 The supported devices provide analog radio receiver and transmitter hardware
 along with digital interfaces for getting signals to and from a software
 defined radio running on the host computer.
 .
 This package contains the Python API support for Python3.

Package: uhd-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-mathjax
Breaks: uhd-host (<< 4.0.0.0-3)
Replaces: uhd-host (<< 4.0.0.0)
Description: universal hardware driver for Ettus Research products - doc
 Detailed documentation for the Universal Hardware Driver.
 .
 This package includes the Doxygen generated documentation.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
py3default = $(subst .,,$(shell py3versions -dv))
HAS_LIBDPDK_DEV=$(shell if [ -f /usr/include/dpdk/rte_version.h ] ; then echo "YES" ;  else echo "NO" ; fi)
DEB_NEON_SIMD_OPTION=$(shell if [ $(DEB_BUILD_ARCH) = armhf ]; then echo "-DNEON_SIMD_ENABLE=OFF" ; else echo "" ; fi)
DEB_UHD_PACKAGE_CONFIGURATION=$(shell echo "-DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_CXX_FLAGS_RELWITHDEBINFO=\"\" -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
			     -DENABLE_RFNOC=True -DENABLE_STATIC_LIBS=OFF \
			     -DUHD_VERSION=$(DEB_VERSION) -DENABLE_PYTHON_API=ON -DENABLE_PYTHON3=ON \
			     -DPYTHON_EXECUTABLE:FILEPATH=/usr/bin/python3 \
			     -DBOOST_PYTHON_COMPONENT=python$(py3default) \
	                     -DPKG_LIB_DIR="/usr/libexec/uhd" -DDOXYGEN_HAVE_DOT=True \
			     $(DEB_NEON_SIMD_OPTION)")

ifneq (,$(filter $(DEB_HOST_ARCH), mipsel))
  export DEB_CXXFLAGS_MAINT_APPEND = -g1
endif

%:
	dh $@ --sourcedirectory=host --with python3 --with numpy3 --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure $@ -- $(DEB_UHD_PACKAGE_CONFIGURATION)
	if [ $(HAS_LIBDPDK_DEV) = YES ] ; then dh_auto_configure $@ --builddirectory=uhdplain -- \
				$(DEB_UHD_PACKAGE_CONFIGURATION) -DENABLE_DOXYGEN=OFF -DENABLE_DPDK=OFF ; fi

override_dh_auto_build:
	dh_auto_build $@
	if [ $(HAS_LIBDPDK_DEV) = YES ] ; then dh_auto_build $@ --builddirectory=uhdplain ; fi

# RFNoC test 30 failes if no USRP available
override_dh_auto_test:
	- dh_auto_test $@

override_dh_auto_install:
	- cp debian/uhd-host.limits debian/uhd-host/etc/security/limits.d/uhd.conf
	- cp debian/uhd-host.sysctl debian/uhd-host/usr/lib/sysctl.d/50-uhd-usrp2.conf
	dh_auto_install $@
	- mv debian/tmp/usr/bin/usrp_hwd.py debian/tmp/usr/bin/usrp_hwd
	- if [ $(HAS_LIBDPDK_DEV) = YES ] ; then \
		dh_auto_install $@ --builddirectory=uhdplain --destdir=debian/tmp/plain ;\
		mv debian/tmp/plain/usr/bin/usrp_hwd.py debian/tmp/plain/usr/bin/usrp_hwd ;\
		mkdir -p debian/tmp/dpdk/usr/lib ;\
		mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) debian/tmp/dpdk/usr/lib/$(DEB_HOST_MULTIARCH) ;\
		rm -rf debian/tmp/dpdk/usr/lib/$(DEB_HOST_MULTIARCH)/cmake ;\
		rm debian/tmp/dpdk/usr/lib/$(DEB_HOST_MULTIARCH)/libuhd.so ;\
		rm -rf debian/tmp/dpdk/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig ;\
		mv debian/tmp/plain/usr/lib/$(DEB_HOST_MULTIARCH) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ;\
		mkdir -p debian/tmp/dpdk/usr/bin ;\
		mv debian/tmp/usr/libexec/uhd/tests/dpdk_test debian/tmp/dpdk/usr/bin/dpdk_test ;\
		mv debian/tmp/usr/libexec/uhd/tests/dpdk_port_test debian/tmp/dpdk/usr/bin/dpdk_port_test ;\
	fi
	rm -rf debian/tmp/usr/share/doc/uhd/LICENSE
	rm -rf debian/uhd-host/usr/libexec/uhd/tests/dpdk*
        # Remove source files used to generate documentation
	rm -rf debian/tmp/usr/share/doc/uhd/doxygen/latex

override_dh_acc:
	- dh_acc $@
	- cat logs/libuhd-dev/*/log.txt

override_dh_shlibdeps:
	dh_shlibdeps --package=uhd-host --libpackage=libuhd4.4.0
	dh_shlibdeps --package=libuhd4.4.0 --libpackage=libuhd4.4.0
	dh_shlibdeps --package=libuhd4.4.0-dpdk --libpackage=libuhd4.4.0-dpdk
	dh_shlibdeps --package=libuhd4.4.0-dpdk-tests --libpackage=libuhd4.4.0-dpdk
	dh_shlibdeps --package=libuhd-dev --libpackage=libuhd4.4.0
	dh_shlibdeps --package=python3-uhd --libpackage=libuhd4.4.0

=== debian/watch ===
version=4
opts=repacksuffix=+ds1,\
repack,dversionmangle=s/\+ds*$//,\
uversionmangle=tr%-rc%~rc%,\
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\-rc?\.tar\.gz%uhd-$1.tar.gz% \
 https://github.com/EttusResearch/uhd/tags \
 (?:.*?/)?v?(\d[\d.]*)\-rc?\.tar\.gz debian uupdate

## uhd 4.4.0.0-release

=== cmake/debian/control ===
Source: uhd
Section: science
Priority: optional
Maintainer: Ettus Research <packages@ettus.com>
Uploaders: Michael West <michael.west@ettus.com>
Build-Depends: cmake,
               debhelper (>= 9),
               libboost-date-time-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-serialization-dev,
               libboost-system-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libncurses5-dev,
               libusb-1.0-0-dev [linux-any hurd-i386],
               libusb2-dev [kfreebsd-any],
               pkg-config,
               python3-dev,
               python3-mako,
               python3-numpy,
               python3-requests,
               python3-ruamel.yaml,
               python3-setuptools
Build-Depends-Indep: doxygen,
              	     doxygen-latex,
               	     graphviz [!powerpcspe]
Standards-Version: 4.6.0
Homepage: https://www.ettus.com
Vcs-Git: https://github.com/EttusResearch/uhd.git

Package: uhd-host
Architecture: any
Depends: libuhd4.4.0 (= ${binary:Version}),
         python3,
         python3-mako,
         python3-numpy,
         python3-requests,
         python3-ruamel.yaml,
         python3-setuptools,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: curl, procps
Suggests: gnuradio
Description: hardware driver for Ettus Research products - host apps
 Host utilities for the USRP Hardware Driver for Ettus Research products.
 .
 The supported devices provide analog radio receiver and transmitter hardware
 along with digital interfaces for getting signals to and from a software
 defined radio running on the host computer.
 .
 This package includes the uhd_find_devices application to locate and
 configure attached peripherals, the uhd_usrp_probe application to
 display hardware configuration information, and Doxygen generated
 documentation.

Package: libuhd4.4.0
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: python3, adduser, ${shlibs:Depends}, ${misc:Depends}
Suggests: gnuradio
Replaces: libuhd003
Multi-Arch: same
Description: hardware driver for Ettus Research products
 Host library for the USRP Hardware Driver for Ettus Research products.
 .
 The supported devices provide analog radio receiver and transmitter hardware
 along with digital interfaces for getting signals to and from a software
 defined radio running on the host computer.

Package: libuhd-dev
Architecture: any
Section: libdevel
Depends: libuhd4.4.0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: gnuradio-dev
Suggests: uhd-doc
Description: universal hardware driver for Ettus Research products
 Host library for the USRP Hardware Driver for Ettus Research products.
 .
 The supported devices provide analog radio receiver and transmitter hardware
 along with digital interfaces for getting signals to and from a software
 defined radio running on the host computer.
 .
 This package contains the header files for developing with libuhd.
 Doxygen generated documentation is in the uhd-host package.

Package: python3-uhd
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64 x32
Section: libdevel
Depends: libuhd4.4.0 (= ${binary:Version}),
         python3,
         python3-mako,
         python3-numpy,
         python3-requests,
         python3-ruamel.yaml,
         python3-setuptools,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnuradio
Suggests: uhd-doc
Conflicts: uhd-host (<= 4.1.0.4-0)
Description: universal hardware driver for Ettus Research products - Python3
 Host library for the Universal Hardware Driver for Ettus Research products.
 .
 The supported devices provide analog radio receiver and transmitter hardware
 along with digital interfaces for getting signals to and from a software
 defined radio running on the host computer.
 .
 This package contains the Python API support for Python3.

Package: uhd-doc
Architecture: all
Depends: ${misc:Depends}, libjs-mathjax
Breaks: uhd-host (<< 4.1.0.4-0)
Replaces: uhd-host (<< 4.1.0.4)
Description: universal hardware driver for Ettus Research products - doc
 Detailed documentation for the Universal Hardware Driver.
 .
 This package includes the Doxygen generated documentation.

## uhd 4.5.0.0-release

=== examples/python/CMakeLists.txt ===
#
# Copyright 2017-2018 Ettus Research, a National Instruments Company
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

set(python_examples
    replay_capture.py
    rx_to_file.py
    tx_waveforms.py
    curses_fft.py
    benchmark_rate.py
    usrp_power_meter.py
    remote_rx.py
)

UHD_INSTALL(PROGRAMS ${python_examples}
    DESTINATION ${PKG_LIB_DIR}/examples/python
    COMPONENT examples)

=== cmake/debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
DEB_NEON_SIMD_OPTION=$(shell if [ $(DEB_BUILD_ARCH) = armhf ]; then echo "-DNEON_SIMD_ENABLE=OFF" ; else echo "" ; fi)
DEB_MIPSEL_PYTHON_API_OPTION=$(shell if [ $(DEB_BUILD_ARCH) = mipsel ]; then echo "-DENABLE_PYTHON_API=OFF" ; else echo "" ; fi)
DEB_UHD_PACKAGE_CONFIGURATION=$(shell echo "-DCMAKE_BUILD_TYPE=RelWithDebInfo -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
					-DENABLE_STATIC_LIBS=OFF \
					-DUHD_VERSION=$(DEB_VERSION) \
					-DENABLE_PYTHON_API=ON \
					-DPYTHON_EXECUTABLE:FILEPATH=/usr/bin/python3 \
					-DPKG_LIB_DIR="/usr/lib/uhd" \
					-DDOXYGEN_HAVE_DOT=True \
					-DUHD_PYTHON_DIR="lib/python3/dist-packages" \
					-DUSRP_MPM_PYTHON_DIR="lib/python3/dist-packages" \
					-DUHD_RELEASE_MODE="release" \
					-DMATHJAX_RELPATH="/usr/share/javascript/mathjax" \
					$(DEB_NEON_SIMD_OPTION) $(DEB_MIPSEL_PYTHON_API_OPTION)")

%:
	dh $@ --parallel --sourcedirectory=host --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_UHD_PACKAGE_CONFIGURATION)

# The test suite for this package is busted on powerpc.
override_dh_auto_test:
	- if [ $(DEB_BUILD_ARCH) != powerpc ]; then dh_auto_test; fi

override_dh_auto_install-indep:
	dh_auto_install
	rm -rf debian/tmp/usr/share/man
	rm -rf debian/tmp/usr/share/doc/uhd/LICENSE
	rm -rf debian/tmp/usr/share/doc/uhd/README.md
# Remove source files used to generate documentation
	rm -rf debian/tmp/usr/share/doc/uhd/doxygen/latex

override_dh_auto_install-arch:
	cp debian/uhd-host.limits debian/uhd-host/etc/security/limits.d/uhd.conf
	cp debian/uhd-host.sysctl debian/uhd-host/etc/sysctl.d/uhd-usrp2.conf
	dh_auto_install
	chmod -x debian/tmp/usr/lib/uhd/tests/devtest/*.py
	chmod -x debian/tmp/usr/lib/uhd/tests/streaming_performance/parse_benchmark_rate.py
	chmod -x debian/tmp/usr/lib/uhd/tests/streaming_performance/run_benchmark_rate.py
	rm -rf debian/tmp/usr/share/man
	rm -rf debian/tmp/usr/share/doc/uhd/LICENSE
	rm -rf debian/tmp/usr/share/doc/uhd/README.md
# Remove source files used to generate documentation
	rm -rf debian/tmp/usr/share/doc/uhd/doxygen/latex

override_dh_acc:
	- dh_acc $@
	- cat logs/libuhd-dev/*/log.txt

override_dh_shlibdeps:
	dh_shlibdeps --package=uhd-host --libpackage=libuhd4.5.0
	dh_shlibdeps --package=libuhd4.5.0 --libpackage=libuhd4.5.0
	dh_shlibdeps --package=libuhd-dev --libpackage=libuhd4.5.0
	dh_shlibdeps --package=python3-uhd --libpackage=libuhd4.5.0

## uhd 4.6.0.0%2Bds1

=== host/docs/CMakeLists.txt ===
#
# Copyright 2010-2013,2015 Ettus Research LLC
# Copyright 2018 Ettus Research, a National Instruments Company
# Copyright 2019 Ettus Research, a National Instruments Brand
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# List of manual sources
########################################################################

########################################################################
# Setup general Doxygen variables
########################################################################
find_package(Doxygen)
set(ENABLE_MANUAL_OR_DOXYGEN false)

########################################################################
# Setup Manual (using Doxygen)
########################################################################
LIBUHD_REGISTER_COMPONENT("Manual" ENABLE_MANUAL ON "DOXYGEN_FOUND" OFF OFF)

if(ENABLE_MANUAL)
    set(FPGA_SOURCE_DIR "${UHD_SOURCE_DIR}/../fpga")
    set(ENABLE_MANUAL_OR_DOXYGEN true)
    file(GLOB manual_sources "*.dox")
    file(GLOB_RECURSE fpga_manual_sources "${FPGA_SOURCE_DIR}/docs/*.md")
    list(APPEND manual_sources ${fpga_manual_sources})
    set(DOXYGEN_DEPENDENCIES ${manual_sources})
    set(DOXYGEN_INPUT_DIRS "${UHD_SOURCE_DIR}/docs ${CMAKE_CURRENT_BINARY_DIR} ${FPGA_SOURCE_DIR}/docs")
    set(DOXYGEN_DEP_COMPONENT "manual")
    set(DOXYGEN_FPGA_MANUAL_REFERENCE "\\subpage md_fpga \"Part III: FPGA Manual\"")
    set(DOXYGEN_STRIP_EXTRA "${UHD_SOURCE_DIR}/../fpga/docs")
    set(DOXYGEN_EXCLUDE_DIRS "")
endif(ENABLE_MANUAL)

########################################################################
# Setup API documentation (using Doxygen)
########################################################################
LIBUHD_REGISTER_COMPONENT("API/Doxygen" ENABLE_DOXYGEN ON "DOXYGEN_FOUND" OFF OFF)
option(ENABLE_DOXYGEN_FULL "Use Doxygen to document the entire source tree (not just API)" OFF)
option(ENABLE_DOXYGEN_DOT "Let Doxygen use dot (requires graphviz)" OFF)
option(ENABLE_DOXYGEN_SHORTNAMES "Let Doxygen use shorter filenames (helps on Windows)" OFF)
set(
    MATHJAX_RELPATH https://cdn.jsdelivr.net/npm/mathjax@2/
    CACHE STRING "MATHJAX_RELPATH option for Doxygen")
mark_as_advanced(MATHJAX_RELPATH)

if(LIBUHDDEV_PKG)
    set(PKG_DOC_DIR share/doc/libuhd-dev)
endif(LIBUHDDEV_PKG)

if(ENABLE_DOXYGEN)
    set(ENABLE_MANUAL_OR_DOXYGEN true)
    #make doxygen directory depend on the header files
    file(GLOB_RECURSE header_files ${UHD_SOURCE_DIR}/include/*.hpp)
    file(GLOB_RECURSE h_files ${UHD_SOURCE_DIR}/include/*.h)
    list(APPEND header_files ${h_files})
    set(DOXYGEN_DEPENDENCIES ${DOXYGEN_DEPENDENCIES} ${header_files})
    if(ENABLE_DOXYGEN_FULL)
        set(DOXYGEN_INPUT_DIRS "${DOXYGEN_INPUT_DIRS} ${UHD_SOURCE_DIR}/include ${UHD_SOURCE_DIR}/lib ${UHD_SOURCE_DIR}/python")
    else(ENABLE_DOXYGEN_FULL)
        set(DOXYGEN_INPUT_DIRS "${DOXYGEN_INPUT_DIRS} ${UHD_SOURCE_DIR}/include")
    endif(ENABLE_DOXYGEN_FULL)

    set(DOXYGEN_DEP_COMPONENT "doxygen")
endif(ENABLE_DOXYGEN)

########################################################################
# Run Doxygen (on code and/or manual, depending on CMake flags)
########################################################################
if(ENABLE_MANUAL_OR_DOXYGEN)
    #generate the doxygen configuration file
    set(CMAKE_CURRENT_BINARY_DIR_DOXYGEN ${CMAKE_CURRENT_BINARY_DIR}/doxygen)
    if(ENABLE_DOXYGEN_DOT)
        set(DOXYGEN_HAVE_DOT "YES")
    else(ENABLE_DOXYGEN_DOT)
        set(DOXYGEN_HAVE_DOT "NO")
    endif(ENABLE_DOXYGEN_DOT)
    if(ENABLE_DOXYGEN_SHORTNAMES)
        set(DOXYGEN_SHORT_NAMES "YES")
    else(ENABLE_DOXYGEN_SHORTNAMES)
        set(DOXYGEN_SHORT_NAMES "NO")
    endif(ENABLE_DOXYGEN_SHORTNAMES)

    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
        ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    @ONLY)
    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/build.dox.in
        ${CMAKE_CURRENT_BINARY_DIR}/build.dox
    @ONLY)

    #make doxygen directory depend on the header files
    file(GLOB_RECURSE header_files ${UHD_SOURCE_DIR}/include/*.hpp)
    add_custom_command(
        OUTPUT ${CMAKE_CURRENT_BINARY_DIR_DOXYGEN} DEPENDS ${DOXYGEN_DEPENDENCIES}
        COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
        COMMENT "Generating documentation with doxygen"
    )

    #make the doxygen generation a built-time dependency
    add_custom_target(doxygen_docs ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR_DOXYGEN})
    UHD_INSTALL(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR_DOXYGEN} DESTINATION ${PKG_DOC_DIR} COMPONENT ${DOXYGEN_DEP_COMPONENT})
endif(ENABLE_MANUAL_OR_DOXYGEN)

########################################################################
# List of man page sources
########################################################################

set(man_page_sources
    uhd_cal_rx_iq_balance.1
    uhd_cal_tx_dc_offset.1
    uhd_cal_tx_iq_balance.1
    uhd_config_info.1
    uhd_find_devices.1
    uhd_image_loader.1
    uhd_images_downloader.1
    uhd_usrp_probe.1
    usrp_n2xx_simple_net_burner.1
    usrp2_card_burner.1
)

if (ENABLE_PYTHON_API)
    list(APPEND man_page_sources
        usrpctl.1
    )
endif(ENABLE_PYTHON_API)

########################################################################
# Setup man pages
########################################################################
# No elegant way in CMake to reverse a boolean
if(NOT WIN32)
    set(NOT_WIN32 TRUE)
endif(NOT WIN32)

set(MAN_PAGES_DEPS "NOT_WIN32")

# Quietly see if we have GZip, if not, we can skip trying to compress
# the man pages
find_package(GZip QUIET)
set(ENABLE_MAN_PAGE_COMPRESSION ${GZIP_FOUND} CACHE BOOL "Compress Man Pages")

message(STATUS "")
if(ENABLE_MAN_PAGE_COMPRESSION)
    # If gzip is not found, this will force failure in
    # LIBUHD_REGISTER_COMPONENT for ENABLE_MAN_PAGES
    list(APPEND MAN_PAGES_DEPS "GZIP_FOUND")
    if(GZIP_FOUND)
        message(STATUS "Found GZip: ${GZIP_EXECUTABLE}")
        message(STATUS "")
        message(STATUS "Compressed Man Pages enabled")
    else()
        message(FATAL_ERROR
                "ENABLE_MAN_PAGE_COMPRESSION is set, "
                "but GZip compression program not found!")
        message(STATUS "")
    endif()
else()
    message(STATUS "Compressed Man Pages disabled")
endif(ENABLE_MAN_PAGE_COMPRESSION)
message(STATUS "  Override with -DENABLE_MAN_PAGE_COMPRESSION=ON/OFF")

LIBUHD_REGISTER_COMPONENT("Man Pages" ENABLE_MAN_PAGES ON "${MAN_PAGES_DEPS}" OFF OFF)
if(ENABLE_MAN_PAGES)
    #Generate man pages; either compressed or not
    if(ENABLE_MAN_PAGE_COMPRESSION)
        # compress man pages
        foreach(manfile ${man_page_sources})
            #make the gzip file depend on the text file
            string(REPLACE ".1" "" PROGRAM_NAME "${manfile}")
            set(gzfile "${CMAKE_CURRENT_BINARY_DIR}/${manfile}.gz")
            set(manfile "${CMAKE_CURRENT_SOURCE_DIR}/${manfile}")
            add_custom_command(
                OUTPUT ${gzfile}
                DEPENDS ${manfile}
                COMMAND ${GZIP_EXECUTABLE} -9 -cf ${manfile} > ${gzfile}
                COMMENT "Generating ${PROGRAM_NAME} man page"
            )
            #make the man page target depend on the gz file
            list(APPEND man_page_gz_files ${gzfile})
        endforeach(manfile ${man_page_sources})
        #make the man pages a build-time dependency
        UHD_INSTALL(FILES ${man_page_gz_files} DESTINATION ${PKG_MAN_DIR} COMPONENT manpages)
        add_custom_target(man_page_gzips ALL DEPENDS ${man_page_gz_files})
    else(ENABLE_MAN_PAGE_COMPRESSION)
        # uncompressed man pages; just install them
        UHD_INSTALL(FILES ${man_page_sources} DESTINATION ${PKG_MAN_DIR} COMPONENT manpages)
    endif(ENABLE_MAN_PAGE_COMPRESSION)
endif(ENABLE_MAN_PAGES)

=== host/include/uhd/features/CMakeLists.txt ===
#
# Copyright 2020 Ettus Research, a National Instruments Brand
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

UHD_INSTALL(FILES
    adc_self_calibration_iface.hpp
    discoverable_feature_getter_iface.hpp
    discoverable_feature.hpp
    gpio_power_iface.hpp
    ref_clk_calibration_iface.hpp
    spi_getter_iface.hpp
    trig_io_mode_iface.hpp
    internal_sync_iface.hpp
    DESTINATION ${INCLUDE_DIR}/uhd/features
    COMPONENT headers
)

=== host/lib/usrp/common/CMakeLists.txt ===
#
# Copyright 2011-2013,2016 Ettus Research LLC
# Copyright 2018 Ettus Research, a National Instruments Company
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# This file included, use CMake directory variables
########################################################################
if(ENABLE_USB)
    LIBUHD_APPEND_SOURCES(
        ${CMAKE_CURRENT_SOURCE_DIR}/fx2_ctrl.cpp
    )
endif(ENABLE_USB)

if(ENABLE_E300 OR ENABLE_B200 OR ENABLE_E320)
    include_directories("${CMAKE_CURRENT_SOURCE_DIR}/ad9361_driver")
    LIBUHD_APPEND_SOURCES(
        ${CMAKE_CURRENT_SOURCE_DIR}/ad9361_ctrl.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/ad936x_manager.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/ad9361_driver/ad9361_device.cpp
    )
endif(ENABLE_E300 OR ENABLE_B200 OR ENABLE_E320)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

LIBUHD_APPEND_SOURCES(
    ${CMAKE_CURRENT_SOURCE_DIR}/adf4001_ctrl.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/adf435x.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/adf535x.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lmx2592.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lmx2572.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/apply_corrections.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/validate_subdev_spec.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/recv_packet_demuxer.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/io_service_mgr.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/io_service_args.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/pwr_cal_mgr.cpp
)

if(ENABLE_DPDK)
    set_property(
        SOURCE
        ${CMAKE_CURRENT_SOURCE_DIR}/io_service_mgr.cpp
        PROPERTY COMPILE_DEFINITIONS HAVE_DPDK
    )
endif(ENABLE_DPDK)

=== mpm/include/mpm/rfdc/CMakeLists.txt ===
#
# Copyright 2019 Ettus Research, National Instruments Brand
#
# SPDX-License-Identifier: GPL-3.0
#
install(FILES
    rfdc_ctrl.hpp
    rfdc_throw.h
    xrfdc_hw.h
    xrfdc_mts.h
    xrfdc.h
    DESTINATION ${INCLUDE_DIR}/mpm/rfdc
)

=== host/examples/rfnoc-example/fpga/rfnoc_block_gain/Makefile ===
#
# Copyright 2021 Ettus Research, a National Instruments Brand
#
# SPDX-License-Identifier: LGPL-3.0-or-later
#

#-------------------------------------------------
# Top-of-Makefile
#-------------------------------------------------
# Define BASE_DIR to point to the "top" dir. Note:
# UHD_FPGA_DIR must be passed into this Makefile.
ifndef UHD_FPGA_DIR
$(error "UHD_FPGA_DIR is not set! Must point to UHD FPGA repository!")
endif
BASE_DIR = $(UHD_FPGA_DIR)/usrp3/top
# Include viv_sim_preample after defining BASE_DIR
include $(BASE_DIR)/../tools/make/viv_sim_preamble.mak

#-------------------------------------------------
# Design Specific
#-------------------------------------------------

# In-tree IP
LIB_IP_DIR = $(BASE_DIR)/../lib/ip
include $(LIB_IP_DIR)/complex_multiplier/Makefile.inc

# Out-of-tree IP
OOT_FPGA_DIR = $(dir $(abspath $(firstword $(MAKEFILE_LIST))))/../
include $(OOT_FPGA_DIR)/ip/cmplx_mul/Makefile.inc

# Include makefiles and sources for the DUT and its 
# dependencies.
include $(BASE_DIR)/../lib/rfnoc/Makefile.srcs
include $(BASE_DIR)/../lib/rfnoc/core/Makefile.srcs
include $(BASE_DIR)/../lib/rfnoc/utils/Makefile.srcs
include Makefile.srcs

DESIGN_SRCS += $(abspath          \
$(RFNOC_SRCS)                     \
$(RFNOC_CORE_SRCS)                \
$(RFNOC_UTIL_SRCS)                \
$(RFNOC_OOT_SRCS)                 \
$(LIB_IP_CMPLX_MUL_SRCS)          \
$(LIB_IP_COMPLEX_MULTIPLIER_SRCS) \
)

#-------------------------------------------------
# Testbench Specific
#-------------------------------------------------
SIM_TOP = rfnoc_block_gain_all_tb glbl
SIM_SRCS = \
$(abspath $(IP_BUILD_DIR)/cmplx_mul/sim/cmplx_mul.vhd) \
$(abspath $(IP_BUILD_DIR)/complex_multiplier/sim/complex_multiplier.vhd) \
$(abspath rfnoc_block_gain_tb.sv) \
$(abspath rfnoc_block_gain_all_tb.sv) \
$(VIVADO_PATH)/data/verilog/src/glbl.v \

#-------------------------------------------------
# Bottom-of-Makefile
#-------------------------------------------------
# Include all simulator specific makefiles here
# Each should define a unique target to simulate
# e.g. xsim, vsim, etc and a common "clean" target
include $(BASE_DIR)/../tools/make/viv_simulator.mak

=== fpga/usrp3/lib/sim/dsp/mult_add_clip/Makefile ===
#
# Copyright 2018 Ettus Research, A National Instruments Company
#
# SPDX-License-Identifier: LGPL-3.0-or-later
#

#-------------------------------------------------
# Top-of-Makefile
#-------------------------------------------------
# Define BASE_DIR to point to the "top" dir
BASE_DIR = $(abspath ../../../../top)
# Include viv_sim_preamble after defining BASE_DIR
include $(BASE_DIR)/../tools/make/viv_sim_preamble.mak

#-------------------------------------------------
# Design Specific
#-------------------------------------------------
# Include makefiles and sources for the DUT and its dependencies
include $(BASE_DIR)/../lib/dsp/Makefile.srcs

DESIGN_SRCS = $(abspath \
$(DSP_SRCS) \
)

#-------------------------------------------------
# Testbench Specific
#-------------------------------------------------
# Define toplevel module
SIM_TOP = mult_add_clip_tb glbl

# Add test bench, user design under test, and
# additional user created files
SIM_SRCS = $(abspath \
mult_add_clip_tb.sv \
$(VIVADO_PATH)/data/verilog/src/glbl.v \
)

# MODELSIM_USER_DO = $(abspath wave.do)

#-------------------------------------------------
# Bottom-of-Makefile
#-------------------------------------------------
# Include all simulator specific makefiles here
# Each should define a unique target to simulate
# e.g. xsim, vsim, etc and a common "clean" target
include $(BASE_DIR)/../tools/make/viv_simulator.mak

=== debian/changelog ===
uhd (4.6.0.0+ds1-5.1build4) noble; urgency=medium

  * No-change rebuild against libboost-chrono1.83.0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Apr 2024 02:24:20 +0000

uhd (4.6.0.0+ds1-5.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:15:11 +1100

uhd (4.6.0.0+ds1-5.1build2) noble; urgency=medium

  * No-change rebuild against boost1.83 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Mar 2024 20:09:42 +0100

uhd (4.6.0.0+ds1-5.1build1) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Mar 2024 21:22:42 +0100

uhd (4.6.0.0+ds1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063085

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 20:10:38 +0000

uhd (4.6.0.0+ds1-5) unstable; urgency=medium

  * install utilities on hurd
  * include upstream metadata

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 15 Dec 2023 22:34:58 -0500

uhd (4.6.0.0+ds1-4) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/p/adapt-to-dpdk-23.11.patch: fix build with new DPDK 23.11
    (Closes: #1057200)

  [ A. Maitland Bottoms ]
  * no tests defined, remove TestSuite:

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 03 Dec 2023 21:45:35 -0500

uhd (4.6.0.0+ds1-3) unstable; urgency=medium

  * Adjust autopkgtest settings

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 26 Nov 2023 15:13:20 -0500

uhd (4.6.0.0+ds1-2) unstable; urgency=medium

  * Upload to unstable
  * Enable PDF documentation

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 23 Nov 2023 20:45:40 -0500

uhd (4.6.0.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * Upload to experimental for soversion bump.
  * improve debian/rules clean target (Closes: #1047319, #1049838)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 22 Nov 2023 00:13:03 -0500

uhd (4.6.0.0-0~0ubuntu1) UNRELEASED; urgency=low

  * ci
    - only build docker images once per week
    - propagate testLength to RF ATS
    - replace deprecated ruamel.yaml methods
    - use build farm for windows builds
  * cmake
    - Fix make_x410 and make_x440 targets
  * deb
    - copyright file update to eliminate errors and warnings
  * docs
    - X440: Add FBX to daughterboard list
    - X440: Corrected web link syntax in FBX doc.
    - x440: Add X440_X4_200 to image flavors
    - Add dual-rate documentation
  * examples
    - L band capture example using dual rate
  * fpga
    - ci: Add X440_X4_200 to pipelines
    - lib: Allow buffering in eth_ipv4_chdr_adapter
    - n3xx: Add CE clock
    - rfnoc: Add clock info to backend ifc
    - rfnoc: radio: Add clock index parameters
    - tools: Add X440_X4_200 to X440 package
    - x400: Add CE clock
    - x400: Add X440 200 MHz variant with DDC/DUC
    - x400: Split DRAM interface into two banks
    - x400: Update PL DRAM speed bin
    - x400: bump minor revision
    - x400: pps_sync cleanup
    - x400: propagate pps_sync changes
    - x400: update signals to run on two domains
    - x440: cpld: led control cleanup
    - x440: remove extra synchronizer
  * images
    - bump x4xx fpga images
    - update non-x4xx images
  * lib
    - rfnoc: Add clock info fields to client zero
    - rfnoc: Add support for auto-clock discovery
    - x4xx: Use auto clock ID in x400_radio_control
  * mpm
    - x440: Add lookup table for default MCR per DSP bandwidth
    - x440: Multi-Tile Sync disabled when using dual rate
    - x400: Align FPGA revision
    - x400: match HDL PPS updates
    - x400: make PRC a multiple of both rfdc rates
    - fix timekeeper misalignment
  * multi_usrp
    - Added module_serial to info
  * rfnoc
    - Enable SEP throttle register
    - image builder: Add clock index support to image builder
  * utils
    - init device with gpsdo sources in query_gpsdo_sensors
  * x4xx
    - Add support for auto clock ID
    - FPGA designs now use a replay block per utilized DRAM bank
  * x440
    - Add support for using radio block specific master clock rates
    - X4_440 and X4_1600 fpga image now contain 2 replay blocks
      (number of ports per replay block halved compared to previous release)

 -- Ettus Research <packages@ettus.com>  Sun, 12 Nov 2023 02:44:06 -0800

uhd (4.5.0.0+ds1-3) unstable; urgency=medium

  * update udev rules
    add support for the B205 mini device

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 06 Oct 2023 16:10:20 -0400

uhd (4.5.0.0+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 02 Oct 2023 20:54:26 -0400

uhd (4.5.0.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * not building Doxygen output refman.pdf (Closes: #1052896)
  * upload to experimental for soversion bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 30 Sep 2023 10:04:32 -0400
